#
# spec file for package makewhat
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           makewhat
Requires:       man
Version:        2009.6.17
Release:        lp152.3.2
Summary:        Create a whatis Database
License:        GPL-2.0+
Group:          System/Base
Source:         makewhat.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The man system in SUSE Linux (package man) does not need a whatis
database. Nevertheless some manual browsers, such as tkman, still need
this database. For this reason, we included this package.



Authors:
--------
    Werner Fink <werner@suse.de>

%prep
%setup -n makewhat

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m755 makewhatis $RPM_BUILD_ROOT/usr/sbin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /usr/sbin/makewhatis

%changelog
* Tue Aug  6 2013 werner@suse.de
- Redirect stderr of whatis(1) to catch standard warning message
  of whatis(1) (bnc#832678)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov  8 2005 dmueller@suse.de
- don't build as root
* Wed May 28 2003 coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Thu Dec 14 2000 werner@suse.de
- Group tag
* Wed Dec 15 1999 werner@suse.de
- Move whatis files to /var/cache/man/ hierarchy and set
  a symbolic link into the old location
- Use program manpath instead of $MANPATH
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 14 1999 bs@suse.de
- fixed path for catman dir.
- typo fix.
* Mon Mar 23 1998 werner@suse.de
- created new script, that uses man db.
- set version to `date`
* Tue Feb  3 1998 ro@suse.de
- generated spec file
